version: 25.6.2
files:
  - url: Trezor-Suite-25.6.2-linux-arm64.AppImage
    sha512: 0As+Hh8fMwTaxMwe1KjBwcDfireKjc+hgDtHfefRTKIVlF5FNb3fuVLN3aaZACuo0J+Hwd0KIaoacRAlV6EOsw==
    size: 182637797
    blockMapSize: 192561
path: Trezor-Suite-25.6.2-linux-arm64.AppImage
sha512: 0As+Hh8fMwTaxMwe1KjBwcDfireKjc+hgDtHfefRTKIVlF5FNb3fuVLN3aaZACuo0J+Hwd0KIaoacRAlV6EOsw==
releaseNotes: |
  ### 🚀 New features

  - Added support for Stellar (XLM) network, which can be accessed via Experimental features.
  - WalletConnect integration is now available via Experimental features, allowing you to connect Suite to popular dApps.

  ### 🎨 Improvements

  - Fonts for addresses and public keys in Suite now match those on Trezor devices to reduce visual discrepancies.
  - The transactions export menu has been improved with clarified filters and support for .csv, .pdf, and .json formats.

  ### 🔧 Bug fixes

  - Fixed minor bugs, improved usability, and optimized performance for a smoother experience.
releaseDate: '2025-06-17T09:43:46.094Z'
stagingPercentage: 20
